Subject: Re: bug#33571: 26.1.90; Artifacts in echo area

From: Live System User <[email-masked]>
Date: Sun, 02 Dec 2018 15:56:41 -0500

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], [email-masked]
>> From: Paul Eggert <[email-masked]>
>> Date: Sun, 2 Dec 2018 09:43:26 -0800
>> 
>> Eli Zaretskii wrote:
>> > Forget it, I reproduced this in texinfo-mode.
>> > 
>> > This is indeed caused by the recent change in keyboard.c.  Paul, could
>> > you please take a look?
>> 
>> What's the reproducer you used?
>
> Visit a Texinfo file, then type "C-c C-c c".
>
>> I tried visiting files in texinfo mode and 
>> couldn't see any difference in behavior. For example, if I start Emacs this way:
>> 
>> src/emacs -Q doc/lispref/windows.texi
>> 
>> and then type 'C-c /' quickly, it doesn't echo, and if I type slowly it does 
>> echo, and this is true for me in the emacs-26 branch regardless of whether the 
>> patch is installed.
>
> Hmm... you are right.  I guess I somehow unconsciously typed quickly
> when testing without the patch and slowly with it.
>
> I've reinstated the change on the emacs-26 branch.  Sorry for the
> noise.
>
> I guess the bug should be closed as expected behavior, as I see that
> all the way back to Emacs 22.1.

  I am seeing:

       C-g-

  remaining in the echo area (please note trailing hyphen "-") in
  Emacs 27.

  Shpuld I open up a new bug report for Emacs 27 for this or is this
  also considered expected behavior?

  Thanks.